=== debian/changelog ===
gerbera (2.0.0+dfsg-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 05:41:35 +0000

gerbera (2.0.0+dfsg-1build2) noble; urgency=medium

  * No-change rebuild against libcurl3t64-gnutls

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 06:55:40 +0000

gerbera (2.0.0+dfsg-1build1) noble; urgency=medium

  * Rebuild against new libupnp17t64.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 03 Mar 2024 00:35:01 +0100

gerbera (2.0.0+dfsg-1) unstable; urgency=medium

  * Team upload
  * New upstream version 2.0.0+dfsg
  * Drop patches, applied by upstream
  * Refresh lintian-overrides
  * d/copyright: Remove web/js/md5.js

 -- Dennis Braun <snd@debian.org>  Sat, 13 Jan 2024 22:47:06 +0100

gerbera (1.12.1+dfsg-2) unstable; urgency=medium

  * Fix build with fmtlib 10 (Closes: #1056390)

 -- Dennis Braun <snd@debian.org>  Mon, 11 Dec 2023 21:07:31 +0100
