=== debian/control ===
Source: gerbera
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: James Cowgill <jcowgill@debian.org>
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 default-libmysqlclient-dev,
 dh-exec,
 duktape-dev,
 libavcodec-dev,
 libavformat-dev,
 libavutil-dev,
 libcurl4-gnutls-dev,
 libebml-dev,
 libexif-dev,
 libexiv2-dev,
 libexpat-dev,
 libffmpegthumbnailer-dev,
 libfmt-dev,
 libmagic-dev,
 libmatroska-dev,
 libpugixml-dev,
 libspdlog-dev,
 libsqlite3-dev,
 libtag1-dev,
 libupnp-dev,
 libz-dev,
 pkg-config,
 python3:native,
 python3-sphinx:native,
 python3-sphinx-rtd-theme:native,
 uuid-dev
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://gerbera.io/
Vcs-Browser: https://salsa.debian.org/multimedia-team/gerbera
Vcs-Git: https://salsa.debian.org/multimedia-team/gerbera.git

Package: gerbera
Architecture: any
Depends:
 adduser (>= 3.34),
 fonts-font-awesome,
 fonts-lato,
 libjs-bootstrap4,
 libjs-jquery (>= 3.1),
 libjs-jquery-ui (>= 1.12.1),
 libjs-prototype,
 libjs-popper.js,
 node-js-cookie,
 ${misc:Depends},
 ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Suggests:
 gerbera-doc,
 firefox-esr | www-browser
Description: UPnP MediaServer
 Gerbera is an UPnP MediaServer with a nice web user interface based on
 MediaTomb. It allows you to stream your digital media through your home
 network and listen to/watch it on a variety of UPnP compatible devices.
 .
 Gerbera implements the UPnP MediaServer V 1.0 specification that can be found
 on http://www.upnp.org/. The current implementation focuses on parts that are
 required by the specification, however Gerbera's functionality is extended to
 cover the optional parts of the spec as well.

Package: gerbera-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: UPnP MediaServer - documentation
 Gerbera is an UPnP MediaServer with a nice web user interface based on
 MediaTomb. It allows you to stream your digital media through your home
 network and listen to/watch it on a variety of UPnP compatible devices.
 .
 Gerbera implements the UPnP MediaServer V 1.0 specification that can be found
 on http://www.upnp.org/. The current implementation focuses on parts that are
 required by the specification, however Gerbera's functionality is extended to
 cover the optional parts of the spec as well.
 .
 This package contains the documentation for Gerbera.
