=== debian/changelog ===
gerbera (2.2.0+dfsg-1build1) oracular; urgency=medium

  * Rebuild against new libavcodec61.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 31 Jul 2024 17:31:22 +0200

gerbera (2.2.0+dfsg-1) unstable; urgency=medium

  * Team upload
  * New upstream version 2.2.0+dfsg
  * Change B-D from pkg-config to pkgconf
  * Use the default ci config from salsa
  * Bump Standards-Version to 4.7.0

 -- Dennis Braun <snd@debian.org>  Sun, 21 Jul 2024 10:40:28 +0200
