=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: gerbera
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: James Cowgill <jcowgill@debian.org>
 Build-Depends:
  cmake,
@@ -28,13 +27,13 @@
  libtag1-dev,
  libupnp-dev,
  libz-dev,
- pkg-config,
+ pkgconf,
  python3:native,
  python3-sphinx:native,
  python3-sphinx-rtd-theme:native,
  uuid-dev
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://gerbera.io/
 Vcs-Browser: https://salsa.debian.org/multimedia-team/gerbera
 Vcs-Git: https://salsa.debian.org/multimedia-team/gerbera.git
