=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS := hardening=+bindnow

%:
	dh $@ --with sphinxdoc

override_dh_auto_configure:
	dh_auto_configure -- \
		-DWITH_AVCODEC=1 \
		-DWITH_EXIV2=1 \
		-DWITH_FFMPEGTHUMBNAILER=1 \
		-DWITH_MYSQL=1 \
		-DWITH_SYSTEMD=0

# The documentation isn't built within the CMake script, so it must be built
# manually
override_dh_auto_build:
	dh_auto_build
	python3 -m sphinx -b html doc doc/_build/html
