## gerbera 2.4.1+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,31 @@
+#*GRB*
+#
+#  Gerbera - https://gerbera.io/
+#
+#  CMakeLists.txt - this file is part of Gerbera.
+#
+#  Copyright (C) 2016-2025 Gerbera Contributors
+#
+#  Gerbera is free software; you can redistribute it and/or modify
+#  it under the terms of the GNU General Public License version 2
+#  as published by the Free Software Foundation.
+#
+#  Gerbera is distributed in the hope that it will be useful,
+#  but WITHOUT ANY WARRANTY; without even the implied warranty of
+#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#  GNU General Public License for more details.
+#
+#  You should have received a copy of the GNU General Public License
+#  along with Gerbera.  If not, see <http://www.gnu.org/licenses/>.
+#
+#  $Id$
+
 cmake_minimum_required(VERSION 3.19 FATAL_ERROR)
 cmake_policy(VERSION 3.13)
 
 # Only set for release tags
 # You should only see version "git" when built from a git snapshot tarball
-set(GERBERA_VERSION "2.2.0")
+set(GERBERA_VERSION "2.4.0")
 
 project(Gerbera
         DESCRIPTION "UPnP Media Server"
@@ -40,9 +62,14 @@
 option(WITH_MATROSKA          "Use libmatroska to extract video/mkv metadata" ON)
 option(WITH_SYSTEMD           "Install Systemd unit file" ON)
 option(WITH_LASTFM            "Enable scrobbling to LastFM" OFF)
+option(WITH_ONLINE_SERVICES   "Enable support for Online Services" OFF) # currently there is no online service left, this enables compiling the empty shell
 option(WITH_DEBUG             "Enables debug logging" ON)
 option(WITH_DEBUG_OPTIONS     "Enables dedicated debug messages" ON)
 option(WITH_TESTS             "Build unit tests" OFF)
+
+option(INSTALL_DOC            "Install generated documentation into target" OFF)
+option(BUILD_DOC              "Add 'doc' target to generate source documentation" OFF)
+option(BUILD_CHANGELOG        "Build 'changelog.gz' file for Debian packages" OFF)
 
 # For building packages without depending on the old system libupnp
 option(STATIC_LIBUPNP         "Link to libupnp statically" OFF)
@@ -86,6 +113,9 @@
         src/config/config_setup.cc
         src/config/config_setup.h
         src/config/config_val.h
+        src/config/grb_compile_info.cc
+        src/config/grb_runtime.cc
+        src/config/grb_runtime.h
         src/config/result/autoscan.cc
         src/config/result/autoscan.h
         src/config/result/box_layout.cc
@@ -96,6 +126,7 @@
         src/config/result/directory_tweak.h
         src/config/result/dynamic_content.cc
         src/config/result/dynamic_content.h
+        src/config/result/edit_helper.h
         src/config/result/transcoding.cc
         src/config/result/transcoding.h
         src/config/setup/config_setup_array.cc
@@ -126,17 +157,16 @@
         src/config/setup/config_setup_tweak.h
         src/config/setup/config_setup_vector.cc
         src/config/setup/config_setup_vector.h
-        src/config/grb_runtime.cc
-        src/config/grb_runtime.h
+        src/config/setup/setup_util.h
         src/content/autoscan_list.cc
         src/content/autoscan_list.h
         src/content/autoscan_setting.cc
         src/content/autoscan_setting.h
         src/content/cm_task.cc
         src/content/cm_task.h
+        src/content/content.h
         src/content/content_manager.cc
         src/content/content_manager.h
-        src/content/content.h
         src/content/import_service.cc
         src/content/import_service.h
         src/content/inotify/autoscan_inotify.cc
@@ -155,10 +185,6 @@
         src/content/layout/js_layout.h
         src/content/layout/layout.cc
         src/content/layout/layout.h
-        src/content/onlineservice/atrailers_content_handler.cc
-        src/content/onlineservice/atrailers_content_handler.h
-        src/content/onlineservice/atrailers_service.cc
-        src/content/onlineservice/atrailers_service.h
         src/content/onlineservice/curl_online_service.cc
         src/content/onlineservice/curl_online_service.h
         src/content/onlineservice/lastfm_scrobbler.cc
@@ -169,6 +195,7 @@
         src/content/onlineservice/online_service_helper.h
         src/content/onlineservice/task_processor.cc
         src/content/onlineservice/task_processor.h
+        src/content/scripting/duk_compat.h
         src/content/scripting/import_script.cc
         src/content/scripting/import_script.h
         src/content/scripting/js_functions.cc
@@ -194,6 +221,7 @@
         src/contrib/md5.h
         src/database/database.cc
         src/database/database.h
+        src/database/db_param.h
         src/database/mysql/mysql_database.cc
         src/database/mysql/mysql_database.h
         src/database/search_handler.cc
@@ -207,12 +235,8 @@
         src/database/sqlite3/sqlite_config.h
         src/database/sqlite3/sqlite_database.cc
         src/database/sqlite3/sqlite_database.h
-        src/device_description_handler.cc
-        src/device_description_handler.h
         src/exceptions.cc
         src/exceptions.h
-        src/file_request_handler.cc
-        src/file_request_handler.h
         src/iohandler/buffered_io_handler.cc
         src/iohandler/buffered_io_handler.h
         src/iohandler/curl_io_handler.cc
@@ -243,6 +267,7 @@
         src/metadata/metacontent_handler.h
         src/metadata/metadata_enums.cc
         src/metadata/metadata_enums.h
+        src/metadata/metadata_handler.cc
         src/metadata/metadata_handler.h
         src/metadata/metadata_service.cc
         src/metadata/metadata_service.h
@@ -252,45 +277,11 @@
         src/metadata/taglib_handler.h
         src/metadata/wavpack_handler.cc
         src/metadata/wavpack_handler.h
-        src/request_handler.cc
-        src/request_handler.h
-        src/server.cc
-        src/server.h
-        src/subscription_request.cc
-        src/subscription_request.h
-        src/transcoding/transcode_dispatcher.cc
-        src/transcoding/transcode_dispatcher.h
-        src/transcoding/transcode_ext_handler.cc
-        src/transcoding/transcode_ext_handler.h
-        src/transcoding/transcode_handler.cc
-        src/transcoding/transcode_handler.h
-        src/ui_handler.cc
-        src/ui_handler.h
-        src/upnp_desc_handler.cc
-        src/upnp_desc_handler.h
-        src/upnp/clients.cc
-        src/upnp/clients.h
-        src/upnp/conn_mgr_service.cc
-        src/upnp/conn_mgr_service.h
-        src/upnp/cont_dir_service.cc
-        src/upnp/cont_dir_service.h
-        src/upnp/headers.cc
-        src/upnp/headers.h
-        src/upnp/mr_reg_service.cc
-        src/upnp/mr_reg_service.h
-        src/upnp/quirks.cc
-        src/upnp/quirks.h
-        src/upnp/upnp_common.h
-        src/upnp/xml_builder.cc
-        src/upnp/xml_builder.h
-        src/url_request_handler.cc
-        src/url_request_handler.h
-        src/util/enum_iterator.h
-        src/util/executor.h
-        src/util/generic_task.cc
-        src/util/generic_task.h
-        src/util/grb_fs.cc
-        src/util/grb_fs.h
-        src/util/grb_net.cc
-        src/util/grb_net.h
-        src/util/grb_time.cc
+        src/request_handler/file_request_handler.cc
+        src/request_handler/file_request_handler.h
+        src/request_handler/device_description_handler.cc
+        src/request_handler/device_description_handler.h
+        src/request_handler/request_handler.cc
+        src/request_handler/request_handler.h
+        src/request_handler/ui_handler.cc
+        src/request_handler/ui_handler.h
