=== debian/changelog ===
gerbera (2.4.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.4.1+dfsg.

 -- Boyuan Yang <byang@debian.org>  Wed, 05 Feb 2025 22:34:47 -0500

gerbera (2.3.0+dfsg-1) unstable; urgency=medium

  * Team upload.

  [ Dennis Braun ]
  * New upstream version 2.3.0+dfsg

  [ Boyuan Yang ]
  * Upload to unstable.
  * debian/control: Change build-dependency from libtag1-dev to libtag-dev
    for taglib 2.x compatibility.

 -- Boyuan Yang <byang@debian.org>  Wed, 05 Feb 2025 22:19:51 -0500
