=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
  libpugixml-dev,
  libspdlog-dev,
  libsqlite3-dev,
- libtag1-dev,
+ libtag-dev,
  libupnp-dev,
  libz-dev,
  pkgconf,
