=== debian/rules ===
--- 
+++ 
@@ -14,8 +14,8 @@
 		-DWITH_MYSQL=1 \
 		-DWITH_SYSTEMD=0
 
-# The documentation isn't built within the CMake script, so it must be built
-# manually
+# The documentation used to not get built within the CMake script, so it must be built
+# manually. Future packagers should consider using upstream CMake doc target.
 override_dh_auto_build:
 	dh_auto_build
 	python3 -m sphinx -b html doc doc/_build/html
