=== debian/watch ===
version=4
opts=repack,compression=xz,dversionmangle=s/\+dfsg\d?$//,repacksuffix=+dfsg \
  https://github.com/gerbera/gerbera/tags .*/v@ANY_VERSION@@ARCHIVE_EXT@
